import MovieClip from "./movieclip/MovieClip";

export default class BaseItem extends egret.Sprite {
    _mc: MovieClip;
    // type: string
    constructor(mc: MovieClip, type?: string) {
        super();
        // this.type = type;
        this._mc = mc;
        const bubble: egret.Texture = RES.getRes('bubble_png');
        const bubblePic = new egret.Bitmap(bubble);
        bubblePic.anchorOffsetX = 76;
        bubblePic.anchorOffsetY = 78;
        this.addChild(bubblePic);
        this.addChild(this._mc);
    }

    get mc() { return this._mc; }
}